
<?php
include_once("../php/config.php");
$cuentas = mysql_query("select * from enlace_cuentas") or die(mysql_error());
$pagos_clientes = @mysql_result($cuentas, 0, "pagos_clientes");





				///if(!isset($_POST['btnAplicar'])){return;}
				$s= mysql_query("select * from  apertura_caja where caja='".$_POST['caja']."' and usuario='".$_POST['usuario']."' order by id desc limit 1") or die(mysql_error());
				$secuencia = @mysql_result($s, 0, "id")."-".$_POST['caja'];
				
				$total = $_POST["total"];
				$balance  = $_POST["balance"];
				if($_POST["metodo_pago"]=="Efectivo"){
					$efectivo = $total;
				}

				if($_POST["metodo_pago"]=="Tarjeta"){
					$mtarjeta = $total;
				}

				if($_POST["metodo_pago"]=="Cheque"){
					$mcheque = $total;
				}
				
				if($total>0){
					mysql_query("update ventas set pagado=balance where id_venta<= '".$_POST['facturas']."' and balance>0 and cliente='".$_POST['clientes']."'") or die(mysql_error());
					 mysql_query("update ventas set balance=0 where id_venta<= '".$_POST['facturas']."' and balance>0 and cliente='".$_POST['clientes']."'") or die(mysql_error());
					 
				
					 
					 mysql_query("insert into pagos_credito set 
					 secuencia = '".$secuencia."',
					 cliente='".$_POST['clientes']."',
					 usuario='".$_COOKIE['usuario']."',
					 monto='".$total."',
					 cheque='".$mcheque."',
					
					 efectivo='".$efectivo."',
					 tarjeta='".$mtarjeta."',
					
					 fecha='$hoy',
					 hora=CURTIME()
					 ") or die(mysql_error());

					 $concepto = "Pago de facturas a credito de ".$_POST['cliente'].", Num. Fact#: ".$_POST["folio"];

					 mysql_query("insert into ingresos set 
					 secuencia = '".$secuencia."',
					 usuario='".$_COOKIE['usuario']."',
					 cliente='".$_POST['clientes']."',
					 monto='".$total."',
					 cheque='".$mcheque."',
					
					 efectivo='".$efectivo."',
					 tarjeta='".$mtarjeta."',
					
					 fecha='$hoy',
					 tipo='Credito',
					 concepto='$concepto',
					 hora=CURTIME()
					 ") or die(mysql_error());
					
					$p= mysql_query("select * from  ingresos where secuencia='".$secuencia."' order by id desc limit 1") or die(mysql_error());
					$id_cobro = @mysql_result($p, 0, "id");
					 mysql_query("update cuentas set balance=balance+'".$total."' where numero_cuenta='$pagos_clientes'") or die(mysql_error());

					header("location: ../pos/recibo_ingreso.php?id=$id_cobro&from=abono");
				}
				
				
	include_once("../header.php");
	?>


<style>
  .form-control{
    @font-size: 20px;
  }


.col-md-2{
    @font-size: 15px;
	@font-weight:bolder;
  }

  td{
    font-size:18px;
  }

  th{
     font-size:18px;
  }
  .container-fluid{
	  background:#f1f1f1l;
  }
</style>
  <div class="container" style="background:white; padding:10px">
<div class="row">

	<div class="col-md-5 col-md-offset-3">
		  <div class="pansel panel-default">
			<div class="panel-heading"><b><i class="fa fas  fa-lg fa-hand-holding-usd"></i> Abono a varias facturas</b></div>
			<div class="panel-body">
			<form action="" method="POST" id="frm1" onSubmit="$('.btn').prop('disabled',true)">
			<input type="hidden" readonly id="caja" name="caja">
<input type="hidden" readonly id="usuario" name="usuario">
				<div class="row">
					<div class="col-md-2">Cliente</div>
					<div class="col-md-10">
						<select id="clientes" name="clientes" class="form-control" onChange="get_facturas()">
							<option value="" selected> -Busque el cliente-</option>
							<?php  
							 $sqlClientes = mysql_query("select DISTINCT(cliente) from ventas where balance>0 order by cliente asc") or die(mysql_error());
							 while($hr = mysql_fetch_array($sqlClientes)){


							?>
							<option value="<?php echo $hr['cliente']?>"><?php echo $hr['cliente']?></option>
							<?php }?>
								
						</select>

					</div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2"><b>Facturas</b></div>
					<div class="col-md-5">
					<div id="slFacturas">	
						<select id="factura" class="form-control">
							<option value="" selected disabled> -Elija las facturas a pagar-</option>
								
						</select>
					</div>
					</div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2">TOTAL:</div>
					<div class="col-md-4"><input type="text" name="total"  id="total" readonly class="form-control" value="<?php echo @mysql_result($sql_venta,0,'total')?>"></div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2">Metodo pago:</div>
					<div class="col-md-3">
						<select id="metodo_pago" name="metodo_pago" class="form-control">
							<option value="Efectivo" selected>Efectivo</option>
							<option value="Tarjeta" selected>Tarjeta</option>
							<option value="Cheque" selected>Cheque</option>
								
						</select></div>
				</div>
				
				
				<hr>
				
			
				
				
				
				<div class="row mt-2">
					<div class="col-md-12"><button class="btn btn-primary" name="btnAplicar"><b><i class="fa fas fa-coins"></i> Aplicar pago</b></button>
					 <a class="btn btn-default" href="creditos.php?cliente=<?php echo $cliente?>"><i class="fa fas fas fa-share-square"></i> Salir</a> </div>
					 <br>
					 <span class="text-danger" id="msg"></span>
				</div>
				</form>
			</div>
		 </div>
	</div>
</div>

</div>



        	<script>
					$("#usuario").val(myUser)
					$("#caja").val(myCaja)
					function cxc(){
						
						var cliente = $("#clientes").val();
                        var usuario = $("#usuario").val();
                        var termino = $("#termino").val();
                        var estado = $("#estado").val();
                      
                      
                        var fecha1 = $("#fecha1").val();
                        var fecha2 = $("#fecha2").val();
                        
                        var param="";
                        param="cliente="+cliente;
                        param+="&usuario="+usuario;
						param+="&termino="+termino;
						param+="&estado="+estado;
                        param+="&fecha1="+fecha1;
                        param+="&fecha2="+fecha2;
						
						
						
					  window.open('rptCxc.php?'+param,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

}



function get_facturas(){
	var cliente = $("#clientes").val()
	$.get("facturas.php?cliente="+cliente, function(data,st){
		if(st=="success"){
			$("#slFacturas").html(data)
			$("#total").val("0.00")
		}
	});
}


function get_total(id){
var cliente = $("#clientes").val()
	$.get("total.php?id="+id+"&cliente="+cliente, function(data,st){
		if(st=="success"){
			$("#total").val(data)
		}
	});
}
			
					
	$(function(){
		$("#clientes").select2();
	})				
				
                </script>
				
				